org.apache.ignite.internal.processors.rest.handlers.redis.string

## Class GridRedisGetRangeCommandHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.redis.GridRedisRestCommandHandler
  - - org.apache.ignite.internal.processors.rest.handlers.redis.string.GridRedisGetRangeCommandHandler

All Implemented Interfaces:
  GridRedisCommandHandler

    public class GridRedisGetRangeCommandHandler
    extends GridRedisRestCommandHandler

Redis SETRANGE command handler.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.rest.handlers.redis.GridRedisRestCommandHandler

`ctx, hnd, log`

### Constructor Summary

Constructors
Constructor and Description
`GridRedisGetRangeCommandHandler(IgniteLogger log, GridRestProtocolHandler hnd, GridKernalContext ctx)` Handler constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`GridRestRequest` `asRestRequest(GridRedisMessage msg)` Converts `GridRedisMessage` to `GridRestRequest`.
`ByteBuffer` `makeResponse(GridRestResponse restRes, List<String> params)` Prepares a response according to the request.
`Collection<GridRedisCommand>` `supportedCommands()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.handlers.redis.GridRedisRestCommandHandler

`handleAsync, longValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridRedisGetRangeCommandHandler

    public GridRedisGetRangeCommandHandler(IgniteLogger log,
                                           GridRestProtocolHandler hnd,
                                           GridKernalContext ctx)

Handler constructor.

Parameters:
  `log` - Logger to use.
  `hnd` - Rest handler.
  `ctx` - Kernal context.

### Method Detail

#### supportedCommands

    public Collection<GridRedisCommand> supportedCommands()

Returns:
  Collection of supported commands.

#### asRestRequest

    public GridRestRequest asRestRequest(GridRedisMessage msg)
                                  throws IgniteCheckedException

Converts `GridRedisMessage` to `GridRestRequest`.

Specified by:
  `asRestRequest` in class `GridRedisRestCommandHandler`
Parameters:
  `msg` - `GridRedisMessage`
Returns:
  `GridRestRequest`
Throws:
  `IgniteCheckedException` - If fails.

#### makeResponse

    public ByteBuffer makeResponse(GridRestResponse restRes,
                                   List<String> params)

Prepares a response according to the request.

Specified by:
  `makeResponse` in class `GridRedisRestCommandHandler`
Parameters:
  `restRes` - REST response.
  `params` - Auxiliary parameters.
Returns:
  Response for the command.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021